Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Simple getting started tutorial #39

Open
karussell opened this Issue Feb 11, 2019 · 7 comments

Comments

Projects
None yet
4 participants
@karussell
Copy link
Member

karussell commented Feb 11, 2019

See the tutorial here. Here we collect some of the issues.

  • The sonatype snapshort repo is missing in build.gradle under "allprojects": maven { url "https://oss.sonatype.org/content/repositories/snapshots" }
  • the emulator does not seem to work
  • Under linux I get
com.android.ddmlib.AdbCommandRejectedException: insufficient permissions for device: user in plugdev group; are your udev rules wrong?
 See [http://developer.android.com/tools/device.html] for more information
 Error while Installing APK

@karussell karussell self-assigned this Feb 11, 2019

@karussell

This comment has been minimized.

Copy link
Member Author

karussell commented Feb 11, 2019

I fixed the linux problem via:

sudo apt-get install adb
sudo adb kill-server
sudo adb start-server
# now reconnecting the device
@boldtrn

This comment has been minimized.

Copy link
Member

boldtrn commented Feb 11, 2019

the emulator does not seem to work

Yes, I usually a hardware device to run it. I only had bad experiences with the emulator (also in other projects).

@ahamed-musthafa

This comment has been minimized.

Copy link

ahamed-musthafa commented Feb 12, 2019

I'm getting below error while building the project. Can you please take a look?

ERROR: Failed to resolve: com.graphhopper:graphhopper-navigation-android-ui:0.1.0-SNAPSHOT
Affected Modules: app

=====
Executing tasks: [assemble]

:app:buildInfoDebugLoader
:app:checkDebugClasspath FAILED
:app:buildInfoGeneratorDebug

FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all files for configuration ':app:debugCompileClasspath'.
> Could not find com.graphhopper:graphhopper-navigation-android-ui:0.1.0-SNAPSHOT.
  Searched in the following locations:
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/maven-metadata.xml
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.pom
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.jar
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/google/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/maven-metadata.xml
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/google/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.pom
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/google/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.jar
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/android/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/maven-metadata.xml
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/android/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.pom
      file:/Users/ahamed.musthafa/Library/Android/sdk/extras/android/m2repository/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.jar
      https://dl.google.com/dl/android/maven2/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/maven-metadata.xml
      https://dl.google.com/dl/android/maven2/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.pom
      https://dl.google.com/dl/android/maven2/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.jar
      https://jcenter.bintray.com/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/maven-metadata.xml
      https://jcenter.bintray.com/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.pom
      https://jcenter.bintray.com/com/graphhopper/graphhopper-navigation-android-ui/0.1.0-SNAPSHOT/graphhopper-navigation-android-ui-0.1.0-SNAPSHOT.jar
  Required by:
      project :app

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 5s
3 actionable tasks: 3 executed
=====
@boldtrn

This comment has been minimized.

Copy link
Member

boldtrn commented Feb 12, 2019

You should be able to fix this by adding maven { url "https://oss.sonatype.org/content/repositories/snapshots" } in a new line here.

@ahamed-musthafa

This comment has been minimized.

Copy link

ahamed-musthafa commented Feb 12, 2019

Excellent, it works! Thanks a lot for super quick response.

@karussell

This comment has been minimized.

Copy link
Member Author

karussell commented Feb 16, 2019

There is issue #27 happening for me when installing this from IDE. @boldtrn you said

For now this is fixed by passing the gh key as Mapbox key to the Navigation SDK

Can you outline where exactly the change is necessary?

@mapotu26

This comment has been minimized.

Copy link

mapotu26 commented Mar 22, 2019

When trying to clone the project, I get an error in the "Events" section of Android Studio once installed. The error is: "Cannot run Git". File not found:git.exe. Please help :) I copied the link and rewrote it myself and still the same error
Android Studio error

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.